{inputs, ...}: {
  systems = [
    "x86_64-nixos"
    "aarch64-darwin"
  ];

  ### Nixpkgs Config ###
  perSystem = {system, ...}: {
    _module.args.pkgs = import inputs.nixpkgs {
      inherit system;

      config = {
        allowUnfree = true;
      };

      # TODO: Move these to custom modules
      overlays = with inputs; [
        lix.overlays.default
        nur.overlays.default
        agenix.overlays.default
        niri-flake.overlays.niri

        (import ./overlays/ddclient.nix)
        (import ./overlays/firefox-addons {
          inherit (inputs.nixpkgs) lib;
          inherit inputs;
        })
        (import ./overlays/jetbrains.nix {inherit inputs;})
        (import ./overlays/maple-mono-NF.nix)
        (import ./overlays/marleyvim.nix {inherit inputs;})
        (import ./overlays/wezterm.nix {inherit inputs;})

        # Custom packages
        (import ./overlays/marleyos.nix)
      ];
    };
  };
}
